Name:           satellite
Version:        1.0.0
Release:        1%{?dist}
Summary:        Blockstream Satellite receiver

License:        GPLv3
URL:            https://github.com/Blockstream/%{name}
Source0:        https://github.com/Blockstream/satellite/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gnuradio
BuildRequires:  gr-osmosdr
BuildRequires:  gr-framers >= 1.0.0
BuildRequires:  gr-blocksat >= 1.0.0
%if 0%{?rhel}
BuildRequires:  xorg-x11-server-Xvfb
%endif
Requires: gnuradio >= 3.7.10
Requires: gr-osmosdr
Requires: python
Requires: gr-framers >= 1.0.0
Requires: gr-blocksat >= 1.0.0

%description
Blockstream Satellite receiver applications based on GNU Radio.

%global debug_package %{nil}

%prep
%setup -q

%build
%if 0%{?rhel}
Xvfb :1 -screen 0 1024x768x24 </dev/null &
export DISPLAY=":1"
make %{?_smp_mflags} GUI=0
%else
make %{?_smp_mflags}
%endif

%install
rm -rf $RPM_BUILD_ROOT
%make_install

%files
%dir %{_exec_prefix}/local/lib/blocksat-rx/
%{_exec_prefix}/local/bin/blocksat-rx
%{_exec_prefix}/local/bin/blocksat-rx-lower
%{_exec_prefix}/local/bin/blocksat-rx-upper
%{_exec_prefix}/local/bin/blocksat-rx-usrp
%if ! 0%{?rhel}
%{_exec_prefix}/local/bin/blocksat-rx-gui
%{_exec_prefix}/local/bin/blocksat-rx-lower-gui
%{_exec_prefix}/local/bin/blocksat-rx-upper-gui
%{_exec_prefix}/local/bin/blocksat-rx-usrp-gui
%endif
%{_exec_prefix}/local/lib/blocksat-rx/blocksat_rx*.py*
